如果保存给定的组织允许列表策略,则返回其有效允许列表将变为空的项目,因此在将工具或模型允许列表收紧到不相交设立之前会向管理员发出警告。非允许列表或已禁用的策略没有影响半径。
POST /api/v1/organizations/{id}/policies/preview
curl \
--request POST 'https://agentengine.mongodb.com/api/v1/organizations/{id}/policies/preview' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"enabled": true,
"string_list": [
"string"
],
"type": "MAX_TOOL_CALLS_PER_EXECUTION"
}'
请求示例
{
"enabled": true,
"string_list": [
"string"
],
"type": "MAX_TOOL_CALLS_PER_EXECUTION"
}
响应示例 (406)
操作不可用
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
响应示例 (406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
响应示例 (200)
{
"affected_projects": [
{
"current_allowlist": [
"string"
],
"project_id": "string",
"project_name": "string"
}
]
}
响应示例 (200)
{
"affected_projects": [
{
"current_allowlist": [
"string"
],
"project_id": "string",
"project_name": "string"
}
]
}
响应示例 (400)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (400)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (403)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (403)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (500)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (500)
{
"code": "string",
"error": "string",
"success": true
}